Package: org.grails.async.factory

## [Groovy] Class SynchronousPromiseFactory

- org.grails.async.factory.SynchronousPromiseFactory

- A PromiseFactory implementation that constructors promises that execute synchronously. Useful for testing environments.

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractPromiseFactory` | `lookupStrategies`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `Promise<T>` | `createPromise(java.lang.Class<T> returnType)`
    `` | `Promise<java.lang.Object>` | `createPromise()`
    `<T>` | `Promise<T>` | `createPromise(groovy.lang.Closure<T>... closures)`
    `<T>` | `Promise<java.util.List<T>>` | `onComplete(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)`
    `<T>` | `Promise<java.util.List<T>>` | `onError(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)`
    `<T>` | `java.util.List<T>` | `waitAll(java.util.List<Promise<T>> promises)`
    `<T>` | `java.util.List<T>` | `waitAll(java.util.List<Promise<T>> promises, long timeout, java.util.concurrent.TimeUnit units)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractPromiseFactory` | `addPromiseDecoratorLookupStrategy, applyDecorators, createBoundPromise, createPromise, createPromise, createPromise, createPromise, createPromise, createPromise, createPromiseInternal, waitAll`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### <T> @java.lang.Override Promise<T> createPromise(java.lang.Class<T> returnType)

    - #### @java.lang.Override Promise<java.lang.Object> createPromise()

    - #### <T> @java.lang.Override Promise<T> createPromise(groovy.lang.Closure<T>... closures)

    - #### <T> Promise<java.util.List<T>> onComplete(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)

    - #### <T> Promise<java.util.List<T>> onError(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)

    - #### <T> @java.lang.Override java.util.List<T> waitAll(java.util.List<Promise<T>> promises)

    - #### <T> @java.lang.Override java.util.List<T> waitAll(java.util.List<Promise<T>> promises, long timeout, java.util.concurrent.TimeUnit units)